
spring:
  application:
    name: springandvault
  cloud:
    vault:
      authentication: TOKEN
      token: s.Zdg1SvarUWJnnssEXJ2AFbwO
#      token: s.JP1cL7ikyBh5Km6hSDO0G2Xo
      host: localhost
#      host: 159.89.8.144
      port: 8200
      scheme: http
      database:
        enabled: true
        role: demo
        backend: database
        username-property: spring.datasource.username
        password-property: spring.datasource.password
  datasource:
    url: jdbc:postgresql://localhost:5432/jconf2020
  profiles:
    active: dev